## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate fd-find

%if 0%{?el8}
# el8 doesn't have these macros
%global __crates_url https://crates.io/api/v1/crates/
%global crates_source %{__crates_url}%{crate}/%{version}/download#/%{crate}-%{version}.crate
%global version_no_tilde %{version}
%endif

Name:           rust-fd-find
Version:        8.7.0
Release:        %autorelease
Summary:        Fd is a simple, fast and user-friendly alternative to find

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/fd-find
Source:         %{crates_source}
# vendored dependencies for EPEL 8
# tar cf - Cargo.lock vendor | xz -c - > ../$(basename $(realpath .))-vendor.tar.xz
Source100:      %{crate}-%{version}-vendor.tar.xz
# Manually created patch for downstream crate metadata changes
# * drop jemallocator dependency
# * remove stabilized but previously unstable "clap/unstable-grouped" feature
Patch0:         fd-find-fix-metadata.diff
# * drop jemallocator from code
Patch1:         0001-Remove-usage-of-jemallocator.patch

%if 0%{?el8}
BuildRequires:  rust-toolset
%else
BuildRequires:  rust-packaging >= 23
%endif

# List of bundled crate in vendor tarball, generated with:
# cargo metadata --locked --format-version 1 | CRATE_NAME="below" ../bundled-provides.jq
Provides: bundled(crate(aho-corasick)) = 0.7.20
Provides: bundled(crate(aho-corasick)) = 1.0.2
Provides: bundled(crate(android-tzdata)) = 0.1.1
Provides: bundled(crate(android_system_properties)) = 0.1.5
Provides: bundled(crate(anstream)) = 0.3.2
Provides: bundled(crate(anstyle)) = 1.0.1
Provides: bundled(crate(anstyle-parse)) = 0.2.1
Provides: bundled(crate(anstyle-query)) = 1.0.0
Provides: bundled(crate(anstyle-wincon)) = 1.0.1
Provides: bundled(crate(anyhow)) = 1.0.71
Provides: bundled(crate(argmax)) = 0.3.1
Provides: bundled(crate(atty)) = 0.2.14
Provides: bundled(crate(autocfg)) = 1.1.0
Provides: bundled(crate(bitflags)) = 1.3.2
Provides: bundled(crate(bstr)) = 1.5.0
Provides: bundled(crate(bumpalo)) = 3.13.0
Provides: bundled(crate(cc)) = 1.0.79
Provides: bundled(crate(cfg-if)) = 1.0.0
Provides: bundled(crate(chrono)) = 0.4.26
Provides: bundled(crate(clap)) = 4.3.8
Provides: bundled(crate(clap_builder)) = 4.3.8
Provides: bundled(crate(clap_complete)) = 4.3.1
Provides: bundled(crate(clap_derive)) = 4.3.2
Provides: bundled(crate(clap_lex)) = 0.5.0
Provides: bundled(crate(colorchoice)) = 1.0.0
Provides: bundled(crate(core-foundation-sys)) = 0.8.4
Provides: bundled(crate(crossbeam-channel)) = 0.5.8
Provides: bundled(crate(crossbeam-utils)) = 0.8.16
Provides: bundled(crate(ctrlc)) = 3.4.0
Provides: bundled(crate(diff)) = 0.1.13
Provides: bundled(crate(dirs-next)) = 2.0.0
Provides: bundled(crate(dirs-sys-next)) = 0.1.2
Provides: bundled(crate(errno)) = 0.3.1
Provides: bundled(crate(errno-dragonfly)) = 0.1.2
Provides: bundled(crate(faccess)) = 0.2.4
Provides: bundled(crate(fastrand)) = 1.9.0
Provides: bundled(crate(filetime)) = 0.2.21
Provides: bundled(crate(fnv)) = 1.0.7
Provides: bundled(crate(getrandom)) = 0.2.10
Provides: bundled(crate(globset)) = 0.4.10
Provides: bundled(crate(heck)) = 0.4.1
Provides: bundled(crate(hermit-abi)) = 0.1.19
Provides: bundled(crate(hermit-abi)) = 0.2.6
Provides: bundled(crate(hermit-abi)) = 0.3.1
Provides: bundled(crate(humantime)) = 2.1.0
Provides: bundled(crate(iana-time-zone)) = 0.1.57
Provides: bundled(crate(iana-time-zone-haiku)) = 0.1.2
Provides: bundled(crate(ignore)) = 0.4.20
Provides: bundled(crate(instant)) = 0.1.12
Provides: bundled(crate(io-lifetimes)) = 1.0.11
Provides: bundled(crate(is-terminal)) = 0.4.7
Provides: bundled(crate(js-sys)) = 0.3.64
Provides: bundled(crate(lazy_static)) = 1.4.0
Provides: bundled(crate(libc)) = 0.2.147
Provides: bundled(crate(linux-raw-sys)) = 0.3.8
Provides: bundled(crate(log)) = 0.4.19
Provides: bundled(crate(lscolors)) = 0.13.0
Provides: bundled(crate(memchr)) = 2.5.0
Provides: bundled(crate(nix)) = 0.24.3
Provides: bundled(crate(nix)) = 0.26.2
Provides: bundled(crate(normpath)) = 0.3.2
Provides: bundled(crate(nu-ansi-term)) = 0.46.0
Provides: bundled(crate(num-traits)) = 0.2.15
Provides: bundled(crate(num_cpus)) = 1.15.0
Provides: bundled(crate(once_cell)) = 1.18.0
Provides: bundled(crate(overload)) = 0.1.1
Provides: bundled(crate(proc-macro-error)) = 1.0.4
Provides: bundled(crate(proc-macro-error-attr)) = 1.0.4
Provides: bundled(crate(proc-macro2)) = 1.0.63
Provides: bundled(crate(quote)) = 1.0.28
Provides: bundled(crate(redox_syscall)) = 0.2.16
Provides: bundled(crate(redox_syscall)) = 0.3.5
Provides: bundled(crate(redox_users)) = 0.4.3
Provides: bundled(crate(regex)) = 1.8.4
Provides: bundled(crate(regex-syntax)) = 0.6.29
Provides: bundled(crate(regex-syntax)) = 0.7.2
Provides: bundled(crate(rustix)) = 0.37.20
Provides: bundled(crate(same-file)) = 1.0.6
Provides: bundled(crate(serde)) = 1.0.164
Provides: bundled(crate(static_assertions)) = 1.1.0
Provides: bundled(crate(strsim)) = 0.10.0
Provides: bundled(crate(syn)) = 1.0.109
Provides: bundled(crate(syn)) = 2.0.22
Provides: bundled(crate(tempfile)) = 3.6.0
Provides: bundled(crate(terminal_size)) = 0.2.6
Provides: bundled(crate(test-case)) = 2.2.2
Provides: bundled(crate(test-case-macros)) = 2.2.2
Provides: bundled(crate(thiserror)) = 1.0.40
Provides: bundled(crate(thiserror-impl)) = 1.0.40
Provides: bundled(crate(thread_local)) = 1.1.7
Provides: bundled(crate(unicode-ident)) = 1.0.9
Provides: bundled(crate(users)) = 0.11.0
Provides: bundled(crate(utf8parse)) = 0.2.1
Provides: bundled(crate(version_check)) = 0.9.4
Provides: bundled(crate(walkdir)) = 2.3.3
Provides: bundled(crate(wasi)) = 0.11.0+wasi_snapshot_preview1
Provides: bundled(crate(wasm-bindgen)) = 0.2.87
Provides: bundled(crate(wasm-bindgen-backend)) = 0.2.87
Provides: bundled(crate(wasm-bindgen-macro)) = 0.2.87
Provides: bundled(crate(wasm-bindgen-macro-support)) = 0.2.87
Provides: bundled(crate(wasm-bindgen-shared)) = 0.2.87
Provides: bundled(crate(winapi)) = 0.3.9
Provides: bundled(crate(winapi-i686-pc-windows-gnu)) = 0.4.0
Provides: bundled(crate(winapi-util)) = 0.1.5
Provides: bundled(crate(winapi-x86_64-pc-windows-gnu)) = 0.4.0
Provides: bundled(crate(windows)) = 0.48.0
Provides: bundled(crate(windows-sys)) = 0.48.0
Provides: bundled(crate(windows-targets)) = 0.48.0
Provides: bundled(crate(windows_aarch64_gnullvm)) = 0.48.0
Provides: bundled(crate(windows_aarch64_msvc)) = 0.48.0
Provides: bundled(crate(windows_i686_gnu)) = 0.48.0
Provides: bundled(crate(windows_i686_msvc)) = 0.48.0
Provides: bundled(crate(windows_x86_64_gnu)) = 0.48.0
Provides: bundled(crate(windows_x86_64_gnullvm)) = 0.48.0
Provides: bundled(crate(windows_x86_64_msvc)) = 0.48.0

%global _description %{expand:
Fd is a simple, fast and user-friendly alternative to find.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        MIT AND Unicode-DFS-2016
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%if ! 0%{?el8}
%license LICENSE.dependencies
%endif
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc README.md
%{_bindir}/fd
%{_mandir}/man1/fd.1*
%{bash_completions_dir}/fd
%{fish_completions_dir}/fd.fish
%{zsh_completions_dir}/_fd

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%if 0%{?el8}
%cargo_prep -V100
%else
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%endif

%build
%cargo_build
%if ! 0%{?el8}
# write license summary and breakdown
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies
%endif
# generate shell completions
./target/release/fd --gen-completions bash > fd.bash
./target/release/fd --gen-completions fish > fd.fish
./target/release/fd --gen-completions zsh > fd.zsh

%install
%cargo_install
# install manpage
install -Dpm 644 doc/fd.1 -t %{buildroot}/%{_mandir}/man1/
# install shell completions
install -Dpm 0644 fd.bash %{buildroot}/%{bash_completions_dir}/fd
install -Dpm 0644 fd.fish %{buildroot}/%{fish_completions_dir}/fd.fish
install -Dpm 0644 fd.zsh %{buildroot}/%{zsh_completions_dir}/_fd

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jun 26 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 8.7.0-3
- Vendor dependencies for EPEL 8
- bundled-provides.jq script courtesy of the zincati src.rpm

* Wed Apr 19 2023 Fabio Valentini <decathorpe@gmail.com> - 8.7.0-2
- Remove stabilized but previously unstable "clap/unstable-grouped" feature

* Fri Mar 03 2023 Fabio Valentini <decathorpe@gmail.com> - 8.7.0-1
- Update to version 8.7.0; Fixes RHBZ#2027038

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 8.2.1-11
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros.

* Sat Jan 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 8.2.1-10
- Bump lscolors from 0.10 to 0.13.

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fabio Valentini <decathorpe@gmail.com> - 8.2.1-8
- Bump lscolors from 0.7 to 0.10.

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 8.2.1-6
- Rebuild with package notes

* Tue Jan 25 2022 Fabio Valentini <decathorpe@gmail.com> - 8.2.1-5
- Rebuild with thread_local 1.1.4 for RUSTSEC-2022-0006.

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 12 2021 Fabio Valentini <decathorpe@gmail.com> - 8.2.1-1
- Update to version 8.2.1.
- Fixes RHBZ#1904838

* Mon Dec 28 13:29:47 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.1.1-4
- Rebuild

* Sun Aug 16 15:01:25 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.1.1-3
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 25 17:00:41 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.1.1-1
- Update to 8.1.1

* Fri May 22 12:25:14 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.1.0-1
- Update to 8.1.0

* Thu Apr 16 11:42:05 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.0.0-1
- Update to 8.0.0

* Sun Mar 22 17:19:42 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 7.5.0-1
- Update to 7.5.0

* Thu Mar 19 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 7.4.0-3
- Correct license

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 07 12:09:52 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.4.0-1
- Update to 7.4.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jul 22 19:19:49 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.3.0-3
- Regenerate

* Sun Jul 21 18:29:00 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.3.0-2
- Correct fish completions directory

* Sat Apr 27 18:51:07 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.3.0-1
- Update to 7.3.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 30 2018 Josh Stone <jistone@redhat.com> - 7.2.0-1
- Update to 7.2.0

* Fri Sep 07 2018 Josh Stone <jistone@redhat.com> - 7.1.0-1
- Update to 7.1.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 16 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.0-2
- Bump regex to 1

* Mon Mar 26 2018 Josh Stone <jistone@redhat.com> - 7.0.0-1
- Update to 7.0.0

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 6.3.0-2
- Bump regex-syntax to 0.5

* Mon Feb 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.3.0-1
- Update to 6.3.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-4
- Rebuild for clap 2.29.2 (zsh completion fixes)

* Wed Jan 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-3
- Rebuild for clap 2.29.1

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-2
- Rebuild for rust-packaging v5

* Thu Jan 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-1
- Update to 6.2.0

* Wed Dec 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.0-1
- Update to 6.1.0

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-5
- Bump lazy_static to 1

* Tue Nov 28 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-4
- Rebuild for clap 2.28.0

* Thu Nov 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-3
- Fix bash completion

* Thu Nov 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-2
- Package completions

* Mon Nov 20 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-1
- Initial package

